public Action:CMDEavesdrop(client, args)
{
	if (!IsAdmin(client) && !IsRoot(client) || GetClientTeam(client) != TEAM_SPECTATOR) return Plugin_Handled;
	if (args < 1)
	{
		PrintToChat(client, "%T", "Eavesdrop Instructions", client);
		return Plugin_Handled;
	}
	new String:PlayerName[512];
	decl String:arg1[MAX_NAME_LENGTH];
	GetCmdArg(1, arg1, sizeof(arg1));
	if (!StrEqual(arg1, "all", false))
	{
		decl String:target_name[MAX_NAME_LENGTH];
		decl target_list[MAXPLAYERS + 1], target_count, bool:tn_is_ml;
		new name;
		new i = 0;
		if ((target_count = ProcessTargetString(
				arg1,
				client,
				target_list,
				MAXPLAYERS,
				COMMAND_FILTER_CONNECTED,
				target_name,
				sizeof(target_name),
				tn_is_ml)) > 0)
		{
			for (i = 0; i < target_count; i++) { name = target_list[i]; }
		}
		if (IsClientHuman(name))
		{
			if (!Eavesdrop[client][name])
			{
				Eavesdrop[client][name] = true;
				GetClientName(name, PlayerName, sizeof(PlayerName));
				PrintToChat(client, "%T", "Eavesdrop Player", client, PlayerName);
				SetListenOverride(client, name, Listen_Yes);
			}
			else
			{
				Eavesdrop[client][name] = false;
				GetClientName(name, PlayerName, sizeof(PlayerName));
				PrintToChat(client, "%T", "Eavesdrop Disabled Player", client, PlayerName);
				SetListenOverride(client, name, Listen_Default);
			}
		}
	}
	else
	{
		if (EavesdropAll[client])
		{
			EavesdropAll[client] = false;
			PrintToChat(client, "%T", "Eavesdrop Disabled All Players", client);
		}
		else
		{
			EavesdropAll[client] = true;
			PrintToChat(client, "%T", "Eavesdrop All Players", client);
		}
		for (new i = 1; i <= MaxClients; i++)
		{
			if (IsClientHuman(i) && GetClientTeam(i) != TEAM_SPECTATOR && i != client)
			{
				if (EavesdropAll[client])
				{
					Eavesdrop[client][i] = true;
					SetListenOverride(client, i, Listen_Yes);
				}
				else
				{
					Eavesdrop[client][i] = false;
					SetListenOverride(client, i, Listen_Default);
				}
			}
		}
	}
	return Plugin_Handled;
}

public DisableEavesdropValues(client)
{
	for (new i = 1; i <= MaxClients; i++)
	{
		if (IsClientHuman(i)) Eavesdrop[client][i] = false;
	}
}

public DisableAllEavesdropValues()
{
	for (new i = 1; i <= MaxClients; i++)
	{
		if (IsClientHuman(i)) DisableEavesdropValues(i);
	}
}