public SetAndMaintainSlots()
{
	if (GetConVarInt(g_Module_Teams_SpectatorSlots) == 1)
	{
		SetConVarInt(FindConVar("sv_maxplayers"), GetConVarInt(g_Module_ReserveSettings_TotalSlots) + Spectators);
		if (GetConVarInt(g_Module_ReserveSettings_HideReserveSlots) == 1)
		{
			SetConVarInt(FindConVar("sv_visiblemaxplayers"), GetConVarInt(g_Module_ReserveSettings_TotalSlots) - GetConVarInt(g_Module_ReserveSettings_ReserveSlots) + Spectators);
		}
		else
		{
			SetConVarInt(FindConVar("sv_visiblemaxplayers"), GetConVarInt(g_Module_ReserveSettings_TotalSlots) + Spectators);
		}
	}
	else
	{
		SetConVarInt(FindConVar("sv_maxplayers"), GetConVarInt(g_Module_ReserveSettings_TotalSlots));
		if (GetConVarInt(g_Module_ReserveSettings_HideReserveSlots) == 1)
		{
			SetConVarInt(FindConVar("sv_visiblemaxplayers"), GetConVarInt(g_Module_ReserveSettings_TotalSlots) - GetConVarInt(g_Module_ReserveSettings_ReserveSlots));
		}
		else
		{
			SetConVarInt(FindConVar("sv_visiblemaxplayers"), GetConVarInt(g_Module_ReserveSettings_TotalSlots));
		}
	}

	// Set the team limits
	if (GetConVarInt(g_Module_ReserveSettings_AutomatedSlots) == 1)
	{
		SetConVarInt(FindConVar("teammanager_survivor_limit"), (GetConVarInt(g_Module_ReserveSettings_TotalSlots) - GetConVarInt(g_Module_ReserveSettings_ReserveSlots)) / 2);
		SetConVarInt(FindConVar("teammanager_infected_limit"), (GetConVarInt(g_Module_ReserveSettings_TotalSlots) - GetConVarInt(g_Module_ReserveSettings_ReserveSlots)) / 2);
		SetConVarBounds(FindConVar("survivor_limit"), ConVarBound_Upper, true, ((GetConVarInt(g_Module_ReserveSettings_TotalSlots) - GetConVarInt(g_Module_ReserveSettings_ReserveSlots)) / 2) * 1.0);
		SetConVarBounds(FindConVar("z_max_player_zombies"), ConVarBound_Upper, true, ((GetConVarInt(g_Module_ReserveSettings_TotalSlots) - GetConVarInt(g_Module_ReserveSettings_ReserveSlots)) / 2) * 1.0);
		SetConVarInt(FindConVar("survivor_limit"), (GetConVarInt(g_Module_ReserveSettings_TotalSlots) - GetConVarInt(g_Module_ReserveSettings_ReserveSlots)) / 2);
		SetConVarInt(FindConVar("z_max_player_zombies"), (GetConVarInt(g_Module_ReserveSettings_TotalSlots) - GetConVarInt(g_Module_ReserveSettings_ReserveSlots)) / 2);
	
	}
	else
	{
		SetConVarInt(FindConVar("teammanager_survivor_limit"), GetConVarInt(g_Module_ReserveSettings_SurvivorLimit));
		SetConVarInt(FindConVar("teammanager_infected_limit"), GetConVarInt(g_Module_ReserveSettings_InfectedLimit));
		SetConVarBounds(FindConVar("survivor_limit"), ConVarBound_Upper, true, (GetConVarInt(g_Module_ReserveSettings_SurvivorLimit)) * 1.0);
		SetConVarBounds(FindConVar("z_max_player_zombies"), ConVarBound_Upper, true, (GetConVarInt(g_Module_ReserveSettings_InfectedLimit)) * 1.0);
		SetConVarInt(FindConVar("survivor_limit"), GetConVarInt(g_Module_ReserveSettings_SurvivorLimit));
		SetConVarInt(FindConVar("z_max_player_zombies"), GetConVarInt(g_Module_ReserveSettings_InfectedLimit));
	}
}